E-MailRelay

Classes | Namespaces
gmapfile.h File Reference
`#include "gdef.h"`
`#include "gpath.h"`
`#include "gstrings.h"`
`#include "gexception.h"`
`#include "goptions.h"`
`#include "goptionvalue.h"`
`#include "goptionmap.h"`
`#include <map>`
`#include <string>`
`#include <iostream>`

Go to the source code of this file.

## Classes
class | G::MapFile
| A class for reading, writing and editing key=value files, supporting variable expansion of percent-key-percent values, comments, creation of backup files, and logging. More...
struct | G::MapFile::Error
| Exception class for G::MapFile. More...

## Namespaces
namespace | G
| Low-level classes.